/**
 * 新增报表
 */
export interface addReportDto {
  /**
   * 报表分类,根据返回的dataValue取值
   */
  reportCategory?: string[];

  /**
   * 报表id
   */
  reportId?: number;

  /**
   * 报表名称
   */
  reportName?: string;

  /**
   * 报表样式图片地址
   */
  reportStyleUrl?: string;

  /**
   * 报表类型（1帆软，2自建）
   */
  reportType?: number;

  /**
   * 绑定的系统id
   */
  sysId?: string[];
}

/**
 * 新增报表详情
 */
export interface addReportDetailDto {
  /**
   * 计算公式
   */
  calculationFormula?: string;
  detailId?: number;
  /**
   * 字段名称
   */
  fieldName?: string;
  /**
   * 备注信息
   */
  remark?: string;
  /**
   * 绑定报表id
   */
  reportId?: number;
  [property: string]: any;
}

/**
 * 删除报表
 */
export interface deleteReportDto {
  id: string | number;
}

/**
 * 删除报表详情
 */
export interface editReportDetailDto {
  id: string | number;
}

/**
 * 查询报表列表
 */
export interface getReportListDto {
  /**
   * 搜索名称
   */
  name?: string;
  /**
   * 当前页
   */
  pageNum?: number;
  /**
   * 显示数量
   */
  pageSize?: number;
  [property: string]: any;
}
