export interface DictionaryData {
  /** 字典数据id */
  dictDataId?: number;
  /** 字典id */
  dictId?: number;
  /** 字典数据标识 */
  dictDataCode: string;
  /** 字典数据名称 */
  dictDataName: string;
  /** 排序号 */
  sortNumber?: number;
  /** 备注 */
  comments?: string;
  /** 创建时间 */
  createTime?: string;
}

/** 字典明细数据查询参数 */
export type DictionaryDetailParams = {
  pageNo: number;
  pageSize: number;
  typeId?: string;
  keyword?: string;
  typeCode?: string;
};

/** 字典明细查询数据项 */
export type DictionaryDetailDataItem = {
  dictId: string; // id
  dictCode: string; // 字典编码
  dictName: string; // 字典名称
  typeId: string; // 类别id
  enableState: 'Y' | 'N'; // 状态 Y启用 N停用
  remark: string; // 备注
  sortIndex?: number | null; // 排序
  gbCode: string; // 国标编码
  gbName: string; // 国标名称2
  modifyTime: string; // 修改日期
  createTime: string; // 创建日期
  typeCode: string;
  dictDataCode?: string;
  dictDataName?: string;
};

export type DictionaryDetailData = {
  records: DictionaryDetailDataItem[];
  total: number;
};

/**
 * Request
 *
 * PortalSysDict对象，字典明细
 */
export type TDictionaryData = {
  dictCode?: string;
  dictId?: string;
  dictName?: string;
  enableState?: string;
  gbCode?: string;
  gbName?: string;
  typeId?: string;
  [property: string]: any;
};

// export type TypeDictData = {
//   typeId: string
//   typeCode: string
//   typeName: string
//   enableState: "Y" | "N"
// }

export type DictCodeDataItem = {
  typeName: string; // 类别字典名称
  typeCode: string; // 类别字典code
  dictCode: string; // 字典项code
  dictName: string; // 字典项名称
};
export type DictData = Record<string, DictCodeDataItem[]>;
