/** 登录请求参数 */
export interface LoginParams {
  account: string; // 账号
  password: string; // 密码
}

/** 登录成功后的数据 */
export type LoginResult = {
  deptCode: string | null; // 科室编码
  deptName: string | null; // 科室名称
  disableTime: string | null; // 连续输入错误的密码后禁用的时间
  enableState: 1 | 2; // 1-启用 2-禁用
  expireMsg: string; // 过期提示
  isAdmin: 1 | 2; // 1-是管理员 2-不是管理员
  pwdExpireFlag: boolean; // true密码过期
  pwdRestFlag: boolean; // 密码重置标识
  signToken: string; // 签名token
  superIden: 1 | 2; // 1 超级管理员 2 非超级
  userCode: string; //用户编码
  userId: string; // 用户编号
  userName: string; //用户姓名
  signWSToken: string; //websocket Token
};
